﻿@using Portal.Models.PO;
@using System.Web.UI.WebControls

@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@model Toyota.Common.Web.MVC.ModelHolder
           

<script type="text/javascript">
    var vGridKeyfield;
    function OnEndCallbackComboBox(s, e) {
        window.setTimeout(function () {
            if (s.GetItemCount() == 1) {
                s.SetSelectedIndex(0);
                s.HideDropDown();
            }
        }, 0);
    }    

    function OnEndCallbackDock(s, e) {
        window.setTimeout(function () {
            if (s.GetItemCount() == 1) {
                s.SetSelectedIndex(0);
                s.HideDropDown();
            }
        }, 0);
    } 

    function SearchData(s, e) {
        PartialSupplierMappingData.PerformCallback();
    }

    function ClearSearch(s, e) {
        cmbPlant.SetText('');
        cmbDock.SetText('');
        cmbSupplier.SetText('');
        PartialSupplierMappingData.PerformCallback();
    }

    function OnBeginCallbackGrid(s, e) {
        e.customArgs["RPlantCode"] = cmbPlant.GetValue();
        e.customArgs["HDockCode"] = cmbDock.GetValue();
        e.customArgs["HSupplierCode"] = cmbSupplier.GetValue();
        e.customArgs["HValidFrom"] = deFrom.GetText();
        e.customArgs["HValidTo"] = deTo.GetText();
    }

    function CommandButtonClicked(s, e) {
        if (e.buttonID == 'btEdit') {
            PartialSupplierMappingData.StartEditRow(e.visibleIndex);
        } else if (e.buttonID == 'btDelete') {
            PartialSupplierMappingData.DeleteRow(e.visibleIndex);
        } else if (e.buttonID == 'btNew') {
            PartialSupplierMappingData.AddNewRow(e.visibleIndex);
        }
    }

    function DeleteGrid(s, e) {
        vGridKeyfield = "";
        for (var index = PartialSupplierMappingData.GetTopVisibleIndex(); index < ((PartialSupplierMappingData.GetPageIndex() * PartialSupplierMappingData.cpPageSize) + PartialSupplierMappingData.GetVisibleRowsOnPage()); index++) {
            if (PartialSupplierMappingData.IsRowSelectedOnPage(index))
                vGridKeyfield += PartialSupplierMappingData.cpSupplierCode[index - (PartialSupplierMappingData.GetPageIndex() * PartialSupplierMappingData.cpPageSize)] + ",";
        }
        

        $.ajax({
            type: "GET",
            url: "@Url.Content("~/SupplierMapping/OnBulkDelete")",
            data: {
                gridKeyField: vGridKeyfield
            },
            success: function (result) {

            },
            error: function (result) {
                alert(result);
            }
        });

        PartialSupplierMappingData.PerformCallback();
    }
</script>

<div style="padding-bottom:8px">
    @Html.Partial("PartialHeader", Model)
</div>

<div  style="border:1px solid #142B94; background-color:#DEECFD;">
    <div style="float:right">
        <table>
            <tr>
                <td>
                    @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "cmdAdd";
                            settings.Text = "Add";
                            settings.Width = 80;
                            settings.ClientSideEvents.Click = "function(s, e){ PartialSupplierMappingData.AddNewRow(e.visibleIndex); }";
                        }
                    ).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().Button(
                        settings =>
                        {
                            settings.Name = "cmdDelete";
                            settings.Text = "Delete";
                            settings.Width = 80;
                        }
                    ).GetHtml()
                </td>
            </tr>
        </table>
    </div>
    @Html.Partial("PartialSupplierMappingData", Model)
</div>